Name:           flam3
Version:        3.1.1
Release:        %mkrel 2
Summary:        Programs to generate and render cosmic recursive fractal flames

Group:          Graphics/Editors and Converters
License:        GPLv2+
URL:            http://www.flam3.com
Source0:        https://github.com/scottdraves/flam3/archive/%{name}-%{version}.tar.gz

BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  jpeg-devel
BuildRequires:  chrpath

%description
Flam3, or Fractal Flames, are algorithmically generated images and animations.
This is free software to render fractal flames as described on
http://flam3.com. Flam3-animate makes animations, and flam3-render makes still
images. Flam3-genome creates and manipulates genomes (parameter sets).

%package devel
Summary:        C headers to generate and render cosmic recursive fractal flames
Group:          Graphics/Editors and Converters
Requires:       pkgconfig(libxml-2.0)
Requires:       pkgconfig(libpng)
Requires:       jpeg-devel
Requires:       flam3 = %{version}

%description devel
Flam3, or Fractal Flames, are algorithmically generated images and animations.
This is free software to render fractal flames as described on
http://flam3.com. Flam3-animate makes animations, and flam3-render makes still
images. Flam3-genome creates and manipulates genomes (parameter sets). This
package contains a header file for C, a library, and a pkgconfig file.

%prep
%setup -q

%build
export LDFLAGS="$LDFLAGS -lm"
%configure2_5x --includedir=%{_includedir}/%{name} --enable-shared
%make

%install
%makeinstall_std
find %{buildroot} -name '*.la' -delete
find %{buildroot} -name '*.a' -delete
chrpath --delete %{buildroot}%{_bindir}/%{name}-*

%files
%doc README.txt
%{_bindir}/%{name}-animate
%{_bindir}/%{name}-convert
%{_bindir}/%{name}-genome
%{_bindir}/%{name}-render
%{_datadir}/%{name}
%{_libdir}/lib%{name}.so.*
%{_mandir}/man1/%{name}*

%files devel
%doc README.txt
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Thu Feb 11 2016 umeabot <umeabot> 3.1.1-2.mga6
+ Revision: 953944
- Mageia 6 Mass Rebuild

* Wed Jul 01 2015 alexl <alexl> 3.1.1-1.mga6
+ Revision: 849355
- googlecode->github
- version 3.1.1

* Wed Oct 15 2014 umeabot <umeabot> 3.0.1-4.mga5
+ Revision: 742494
- Second Mageia 5 Mass Rebuild

* Fri Sep 19 2014 alexl <alexl> 3.0.1-3.mga5
+ Revision: 697425
- fixed requires-on-release (rpmlint)
- moved from spec repeating parameters for building and for installation

* Tue Sep 16 2014 umeabot <umeabot> 3.0.1-2.mga5
+ Revision: 679222
- Mageia 5 Mass Rebuild

* Mon Apr 14 2014 alexl <alexl> 3.0.1-1.mga5
+ Revision: 614029
- imported package flam3

